## coloreffects coloreffects |

## Synopsis

    struct              GstColorEffects;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstVideoFilter
                                     +----GstColorEffects

## Properties

      "preset"                   GstColorEffectsPreset  : Read / Write

## Description

Map colors of the video input to a lookup table

### Example launch line

    1
    2
    gst-launch -v videotestsrc ! coloreffects preset=heat ! videoconvert !
        autovideosink

This pipeline shows the effect of coloreffects on a test stream.

## Synopsis

### Element Information

plugin | coloreffects
author | Filippo Argiolas <filippo.argiolas@gmail.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB, BGRA, ABGR, RGBA, xRGB, BGRx, xBGR, RGBx, RGB, BGR, AYUV }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ ARGB, BGRA, ABGR, RGBA, xRGB, BGRx, xBGR, RGBx, RGB, BGR, AYUV }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstColorEffects

    struct GstColorEffects;

Opaque datastructure.

## Property Details

### The `"preset"` property

      "preset"                   GstColorEffectsPreset  : Read / Write

Color effect preset to use.

Default value: Do nothing preset